For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
      • GETGet all workflow triggers
      • POSTCreate a workflow trigger
      • GETGet workflow trigger by ID
      • POSTSearch workflow triggers
  • Event API
LoginSandbox
Transaction APIWorkflow Triggers

Search workflow triggers

POST
/v:version/workflow-triggers/search
POST
/v:version/workflow-triggers/search
$curl -X POST https://api.solvimon.com/v1/workflow-triggers/search \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "customer_id": "string",
7 "workflow_id": "string",
8 "type": "MANUAL",
9 "invoice": {
10 "invoice_id": "string",
11 "event": {
12 "variant": "TO_FINAL",
13 "overdue": {
14 "period": {
15 "type": "DAY",
16 "value": 1
17 }
18 }
19 },
20 "manual": {
21 "user_id": "string",
22 "variant": "TO_FINAL",
23 "overdue": {
24 "period": {
25 "type": "DAY",
26 "value": 1
27 }
28 }
29 }
30 },
31 "payment": {
32 "payment_id": "string",
33 "event": {
34 "variant": "FAILED_PAYMENT"
35 },
36 "manual": {
37 "user_id": "string",
38 "variant": "FAILED_PAYMENT"
39 }
40 },
41 "pricing_plan_subscription": {
42 "pricing_plan_subscription_id": "string",
43 "pricing_plan_schedule_id": "string",
44 "trial_end_at": "2024-01-15T09:30:00Z",
45 "event": {
46 "variant": "FREE_TRIAL_REMINDER"
47 },
48 "manual": {
49 "user_id": "string",
50 "variant": "FREE_TRIAL_REMINDER"
51 }
52 },
53 "wallet": {
54 "wallet_type_id": "string",
55 "wallet_id": "string",
56 "customer_reference": "string",
57 "wallet_reference": "string",
58 "event": {
59 "variant": "WALLET_BALANCE"
60 }
61 }
62 }
63 ],
64 "links": {
65 "first": "string",
66 "previous": "string",
67 "current": "string",
68 "next": "string"
69 },
70 "limit": 1,
71 "page": 1,
72 "total_number_of_pages": 1
73}

Searches workflow trigger records with the provided search body plus pagination and ordering query parameters. Requires the WORKFLOW_TRIGGER.VIEW permission.

Was this page helpful?
Previous

Get a list of all wallet grants

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
limitintegerOptional
The amount of records shown in the list
pageintegerOptional
The page which is going to be shown
order_bystringOptional

The parameter by which the response is ordered. default = name

order_directionstringOptional

The parameter for the response ordering direction (asc, desc) default asc

Request

This endpoint expects an object.
search_fieldslist of objectsOptional
filter_fieldslist of objectsOptional
selection_rule_fieldslist of objectsOptional

Response

OK
datalist of objects
Workflow trigger records returned for the current page.
linksobject
Navigation links for related pages.
limitinteger or null
Maximum number of records included in the page.
pageinteger or null
Current page number, starting at 1.
total_number_of_pagesinteger or nullDeprecated
Legacy page count value kept for compatibility.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error